#if !defined(AFX_FEATUREPROPS_H__29974843_1810_11D3_A5F1_00902712C9AE__INCLUDED_)
#define AFX_FEATUREPROPS_H__29974843_1810_11D3_A5F1_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FeatureProps.h : header file
//
#include<Compost\Compost.hpp>


/////////////////////////////////////////////////////////////////////////////
// CFeatureProps dialog

class CFeatureProps : public CDialog
{
// Construction
public:
	void FillData();
	void UpdateTexturePane();
	void UpdateMask0Pane();
	void UpdateMask1Pane();
	CFeatureProps(CWnd* pParent = NULL);   // standard constructor
	Compost::Tool_Feature feature_data,*fetptr;
	int XLen,YLen;
	CBitmap PrvBmp,M0Prv,M1Prv,HFPrv;
	// Dialog Data
	//{{AFX_DATA(CFeatureProps)
	enum { IDD = IDD_FEATUREPROPS };
	CComboBox	m_MatList;
	CStatic	m_Mask1PreviewPane;
	CStatic	m_Mask0PreviewPane;
	CStatic	m_PreviewPane;
	CComboBox	m_hcon;
	CComboBox	m_wcon;
	CComboBox	m_Mask1List;
	CComboBox	m_Mask0List;
	CComboBox	m_TextureList;
	CString	m_fname;
	CString	m_tname;
	int		m_xoffset;
	int		m_zoffset;
	BOOL	m_Mask0FlipHor;
	BOOL	m_Mask0FlipVert;
	BOOL	m_Mask1FlipHor;
	BOOL	m_Mask1FlipVert;
	BOOL	m_TextureFlipHor;
	BOOL	m_TextureFlipVert;
	int		m_BlendMode;
	BOOL	m_Stretch;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFeatureProps)
	public:
	virtual int DoModal(Compost::Tool_Feature *fet,int maxX,int maxZ);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFeatureProps)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeMask0list();
	afx_msg void OnSelchangeMask1list();
	afx_msg void OnSelchangeTexturelist();
	afx_msg void OnSelchangeBlendmode();
	afx_msg void OnStretch();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FEATUREPROPS_H__29974843_1810_11D3_A5F1_00902712C9AE__INCLUDED_)
